<script type="text/javascript">
    function floatval(val) {
        val = val.replace(/,/,'.');
        return parseFloat(val);
    };

    $(document).ready(function () {
        $('.material-delete').click(function () {
            var obj = $(this);
            var name = obj.closest('tr').find('.material-name').text();
            if(confirm('Вы собираетесь удалить материал '+name+'! Материал будет удален из всех продуктов! Удалить?')) {

                var success = function(response) {
                    if (response.status == 'ok') {
                        obj.closest('tr').remove();
                    } else {
                        alert(response.errors.join(','));
                    }
                };
                $.ajax({
                    url: obj.attr('href'),
                    type: 'get',
                    dataType: 'json',
                    success: success
                });
            } else {

            }


            return false;
        });
    });
</script>

<style type="text/css">
    .material-deleted td {
        background-color: #e4e4e4 !important;
        color: #aaa;
    }
    .material-deleted td a {
        color: #aaa;
    }
    .material-deleted td a:hover {
        color: #222;
    }
</style>
<h1>Составные Материалы</h1>
<div style="margin-top: 10px; margin-bottom: 20px;"><a href="?plugin=compositematerials&module=categoryMaterials&action=edit" target="_blank" class="inline">
    Добавить категорию <i class="icon16 add"></i>
</a>
<br>
    <a href="?plugin=compositematerials&module=categoryMaterials" target="_blank" class="inline">
        Редактировать категории <i class="icon16 edit"></i>
    </a>


    </div>
{foreach $categories as $k => $v}
    {$materials = $v->getData()}
    <div style="padding-bottom: 20px;">
    <h2>{$v->getName()}
        <a href="?plugin=compositematerials&module=material&action=edit&category={$k}" target="_blank" class="inline">
            <i class="icon16 add"></i></a>
    </h2>
        <table border="0" cellspacing="5" class="zebra  category-costs ui-sortable" style="width: 600px;">
        <tr>
            <th scope="col" colspan="2">Название</th>
            <th scope="col" >Цены</th>
            <th scope="col" ></th>
        </tr>
        {foreach $materials as $km => $vm}

        <tr  {if !$vm->isActive()}class="material-deleted"{/if} data-id="{$vm->getId()}">
            <td class="min-width"><i class="icon16 sort"></i></td>
            <!--<td class="min-width"><input type="text" name="sort[{$km}]" value="{$vm->getSort()}" style=" width:30px !important;"></td>-->
            <td >
                <span class="material-name">{$vm->getName()}</span>
            </td>
            <td>

            </td>
            <td width="100px">
                <a href="?plugin=compositematerials&module=material&action=edit&id={$km}"  class="inline" target="_blank"><i class="icon16 edit"></i></a>
                {if $vm->isActive()}
                <a href="?plugin=compositematerials&module=material&action=delete&id={$km}" class="material-delete inline" target="_blank">
                    <i class="icon16 delete"></i>
                </a>
                {/if}
            </td>
        </tr>
        {/foreach}
       </table>
    </div>

{/foreach}
<script>
    {literal}
    $('.category-costs').sortable({
        'distance': 5,
        'opacity': 0.75,
        'items': '> tbody:first > tr:visible',
        'handle': '.sort',
        'cursor': 'move',
        'tolerance': 'pointer',
        'start': function () {
            $('.block.drop-target').addClass('drag-active');
        },
        'stop': function (e,ui) {
            var success = function(response) {

            };
            var item = ui.item;
            var item_after = item.prev();
            var data = {'id':item.data('id'),'after_id':item_after.data('id')};
            $.post('?plugin=compositematerials&module=costs&action=Sort',{'id':item.data('id'),'after_id':item_after.data('id')}, success, 'json');
            $('.block.drop-target').removeClass('drag-active');

        }
    });
    {/literal}
</script>